package com.xs.core.common.content;

import cn.hutool.core.net.Ipv4Util;
import cn.hutool.core.util.StrUtil;
import cn.hutool.extra.servlet.JakartaServletUtil;
import com.baomidou.mybatisplus.annotation.TableField;
import com.xs.core.utils.ExceptionUtils;
import com.xs.core.utils.IpUtils;
import com.xs.core.utils.ServletUtils;
import jakarta.servlet.http.HttpServletRequest;
import lombok.Builder;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class UserContext implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 用户id
     */
    private Long id;

    /**
     * tg小程序id
     */

    private String tgId;

    /**
     * tg账号
     */

    private String userName;

    /**
     * 名
     */

    private String firstName;

    /**
     * 姓
     */

    private String lastName;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 真实姓名
     */

    private String realName;

    /**
     * 头像
     */
    private String avatar;


    /**
     * IP
     */
    private String ip;

    /**
     * IP 归属地
     */
    private String address;

    /**
     * 浏览器
     */
    private String browser;

    /**
     * 操作系统
     */
    private String os;

    /**
     * 登录时间
     */
    private LocalDateTime loginTime;

    /**
     * 语言代码
     */
    private String languageCode;

    public void setExtraInfo(HttpServletRequest request) {
        this.ip = JakartaServletUtil.getClientIP(request);
        this.address = ExceptionUtils.exToNull(() -> IpUtils.getIpv4Address(this.ip));
        this.setBrowser(ServletUtils.getBrowser(request));
        this.setLoginTime(LocalDateTime.now());
        this.setOs(StrUtil.subBefore(ServletUtils.getOs(request), " or", false));
    }
}
