package com.xs.core.controller.user;

import cn.dev33.satoken.stp.SaTokenInfo;
import com.xs.core.model.ResponseResult;
import com.xs.core.model.user.req.AppLoginReq;
import com.xs.core.service.user.AppLoginService;
import io.swagger.v3.oas.annotations.Operation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

@Slf4j
@RestController
@RequestMapping("/login")
public class LoginController {
    @Autowired
    private AppLoginService loginService;

    @PostMapping("/coinLogin")
    @Operation(summary = "tg账号登录", description = "根据tg用户id进行登录")
    public ResponseResult<SaTokenInfo> coinLogin(@Validated @RequestBody AppLoginReq req) {
        SaTokenInfo saTokenInfo = loginService.tgLogin(req);
        return ResponseResult.success(saTokenInfo);
    }
}
