package com.xs.core.model.coin.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 速率升级状态 redis中使用 生产完毕会删除
 */
@Data
public class GoldRateUpgradesState implements Serializable {
    /**
     * 当前速率
     */
    private String currentRate;
    /**
     * 永久速率
     */
    private String durableRate;
    /**
     * 临时速率
     */
    private String temporaryRate;
    /**
     * 速率升级的时间戳
     */
    private Long updateTimestamp;
    /**
     * 速率升级标志 0 开始游戏后为未升级  1 升级后待计算 2 升级后已计算过
     */
    private int rateUpdateFlag;

    /**
     * 判断当前生产批次内是否有临时速率 如过进行过临时速率升级 则不升级
     */
    private boolean hasTemporaryRate;

    /**
     * 处理临时速率的标志 0 未处理 1 已处理
     */
    private int boostRateFLag = 0;
}
