package com.xs.core.model.coin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 金币产出速率升级规则
 * </p>
 *
 * @author xudm
 * @since 2024-12-19
 */
@Getter
@Setter
@TableName("b_coin_speed_upgrades_rules")
public class CoinSpeedUpgradesRules extends Model<CoinSpeedUpgradesRules> {

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 消耗金币数量
     */
    @TableField("consume_gold_coin")
    private Integer consumeGoldCoin;

    /**
     * 消耗真实货币数量
     */
    @TableField("real_money")
    private Integer realMoney;

    /**
     * 数值 每秒产量
     */
    @TableField("numerical_value")
    private String numericalValue;

    /**
     * 等级
     */
    @TableField("level")
    private Integer level;

    /**
     * 创建人
     */
    @TableField("created_by")
    private String createdBy;

    /**
     * 创建时间
     */
    @TableField("created_time")
    private LocalDateTime createdTime;

    /**
     * 更新人
     */
    @TableField("updated_by")
    private String updatedBy;

    /**
     * 更新时间
     */
    @TableField("updated_time")
    private LocalDateTime updatedTime;

    /**
     * 数值 每小时产量
     */
    @TableField(exist = false)
    private String numericalValueHour;

    @TableField(exist = false)
    private String upgradeStatus;


    public String getNumericalValueHour() {
        BigDecimal bigDecimal = new BigDecimal(numericalValue);
        bigDecimal = bigDecimal.multiply(new BigDecimal(3600));
        return bigDecimal.toPlainString();
    }

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
