package com.xs.core.model.coin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 金币产出记录表
 * </p>
 *
 * @author xudm
 * @since 2024-12-19
 */
@Getter
@Setter
@TableName("b_gold_coin_prod_record")
public class GoldCoinProdRecord extends Model<GoldCoinProdRecord> {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 金币产出
     */
    @TableField("gold_coin_yield_total")
    private BigDecimal goldCoinYieldTotal;

    /**
     * 开始秒级时间戳
     */
    @TableField("start_timestamp")
    private Long startTimestamp;

    /**
     * 结束秒级时间戳
     */
    @TableField("end_timestamp")
    private Long endTimestamp;

    /**
     * 产出时间
     */
    @TableField("yield_time")
    private LocalDateTime yieldTime;

    /**
     * 收获状态
     */
    @TableField("receiving")
    private Boolean receiving;

    /**
     * 收获时间
     */
    @TableField("received_time")
    private LocalDateTime receivedTime;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    @Override
    public Serializable pkVal() {
        return null;
    }
}
