package com.xs.core.model.coin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.math.BigDecimal;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 金币生产状态
 * </p>
 *
 * @author xudm
 * @since 2024-12-18
 */
@Getter
@Setter
@TableName("b_gold_coin_prod_state")
public class GoldCoinProdState extends Model<GoldCoinProdState> {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户id
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 当前生产的金币数
     */
    @TableField("current_value")
    private BigDecimal currentValue;

    /**
     * 开始秒级时间戳
     */
    @TableField("start_timestamp")
    private Long startTimestamp;

    /**
     * 结束秒级时间戳
     */
    @TableField("end_timestamp")
    private Long endTimestamp;

    /**
     * 剩余的时间（秒）
     */
    @TableField("residue_timestamp")
    private Long residueTimestamp;

    /**
     * 上次计算的时间戳
     */
    @TableField("last_timestamp")
    private Long lastTimestamp;

    /**
     * 当前速率
     */
    @TableField("current_rate")
    private String currentRate;

    /**
     * 永久速率
     */
    @TableField("durable_rate")
    private String durableRate;

    /**
     * 临时速率
     */
    @TableField("temporary_rate")
    private String temporaryRate;

    /**
     * 是否运行
     */
    @TableField("running")
    private Boolean running;


    /**
     * 金币产出是否已完成
     */
    @TableField(exist = false)
    private boolean completed = false;

    /**
     * 临时加成剩余时间 （秒）
     */
    @TableField(exist = false)
    private Long boostResidueTimestamp;

    /**
     * 是否有临时加成
     */
    @TableField(exist = false)
    private boolean hasBoost;

    @Override
    public Serializable pkVal() {
        return null;
    }
}
