package com.xs.core.model.coin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 用户金币产出速率升级记录
 * </p>
 *
 * @author xudm
 * @since 2024-12-18
 */
@Getter
@Setter
@TableName("b_user_coin_speed_upgrades_record")
public class UserCoinSpeedUpgradesRecord extends Model<UserCoinSpeedUpgradesRecord> {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户id
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 产出速率 0.01
     */
    @TableField("product_rate")
    private String productRate;

    /**
     * 速率层级
     */
    @TableField("speed_level")
    private Integer speedLevel;

    /**
     * 升级时间
     */
    @TableField("upgrades_time")
    private LocalDateTime upgradesTime;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
