package com.xs.core.model.coin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 用户金币交易流水记录表
 * </p>
 *
 * @author xudm
 * @since 2024-12-19
 */
@Getter
@Setter
@TableName("b_user_coin_transaction")
public class UserCoinTransaction extends Model<UserCoinTransaction> {

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户ID
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 交易类型：1-增加，2-消耗
     */
    @TableField("transaction_type")
    private Integer transactionType;

    /**
     * 交易金额
     */
    @TableField("amount")
    private BigDecimal amount;

    /**
     * 交易后余额
     */
    @TableField("balance")
    private BigDecimal balance;

    /**
     * 交易原因
     */
    @TableField("transaction_reason")
    private String transactionReason;

    /**
     * 交易类型 [RESOURCE_PLACEMENT 空投,PRODUCT 挂机产出,SPEED_UPGRADES 速率升级,BLOCKCHAIN_EXCHANGE 区块链兑换,TASK_REWARDS 任务奖励,TEAM_SHARING 团队抽成,SHARE_REWARDS 邀请奖励]
     */
    @TableField("transaction_category")
    private String transactionCategory;

    /**
     * 交易详情
     */
    @TableField("transaction_detail")
    private String transactionDetail;

    /**
     * 创建时间
     */
    @TableField("created_time")
    private LocalDateTime createdTime;

    /**
     * 创建人
     */
    @TableField("created_by")
    private String createdBy;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
