package com.xs.core.model.coin.msg;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 金币生产消息体
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CoinProducerMessage implements Serializable {
    /**
     * 用户id
     */
    private Long userId;

    /**
     * 当前生产的金币数
     */
    private BigDecimal currentValue;

    /**
     * 开始秒级时间戳
     */
    private Long startTimestamp;

    /**
     * 结束秒级时间戳
     */
    private Long endTimestamp;

    /**
     * 剩余的时间（秒）
     */
    private Long residueTimestamp;

    /**
     * 上次计算的时间戳
     */
    private Long lastTimestamp;

    /**
     * 当前速率
     */
    private String currentRate;

    /**
     * 永久速率
     */
    private String durableRate;

    /**
     * 临时速率
     */
    private String temporaryRate;

    /**
     * 是否运行
     */
    private Boolean running;
    /**
     * 速率升级标志 0 开始游戏后为未升级  1 升级后待计算 2 升级后已计算过
     */
    private int rateUpdateFlag;

    /**
     * 速率升级的时间戳
     */
    private Long rateUpdateTimestamp;

    private int retryCount;
}
