package com.xs.core.model.coin.req;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.Pattern;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

import java.io.Serializable;

@Slf4j
@Data
@Schema(name = "临时速率请求参数")
public class TemporaryRateReq implements Serializable {
    @Schema(name = "rate", description = "临时速率 整数")
    @Pattern(regexp = "^(5|10|15|6|11|16|7|12|17)$", message = "Number must be 5, 10, 15, 6, 11, 16, 7, 12, or 17")
    private String rate;
}
