package com.xs.core.model.coin.resp;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@Schema(name = "GoldCoinProdStateResp", description = "金币产出状态")
public class GoldCoinProdStateResp implements Serializable {

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "当前生产的金币数")
    private BigDecimal currentValue;

    @Schema(description = "开始秒级时间戳")
    private Long startTimestamp;


    @Schema(description = "结束秒级时间戳")
    private Long endTimestamp;

    @Schema(description = "剩余的时间（秒）")
    private Long residueTimestamp;


    @Schema(description = "当前速率")
    private String currentRate;


    @Schema(description = "永久速率")
    private String durableRate;


    @Schema(description = "临时速率")
    private String temporaryRate;

    @Schema(description = "状态 0 未开始 1 进行中 2 已完成待领取")
    private int status;
}
