package com.xs.core.model.user.req;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

@Schema(description = "app端登录参数")
@Data
public class AppLoginReq {

    @Schema(description = "名", example = "st")
    private String firstName;
    @Schema(description = "姓", example = "prpr")
    private String lastName;

    @Schema(description = "tg小程序用户id", example = "7678353292")
    @NotBlank(message = "tg小程序用户id不能为空")
    private String id;

    @Schema(description = "语言编码", example = "zh-hans")
    private String languageCode;

    @Schema(description = "头像地址", example = "https%3A%2F%2Ft.me%2Fi%2Fuserpic%2F320%2F8CkFbucM04aA4Q1DYkGM_CSPabAPuL9e24ywa-bD4uLSil5_TxdNx_KrHD-SnS6v.svg")
    private String photoUrl;

    @Schema(description = "tg用户名", example = "baptistUnilamellar")
    private String username;


    @Schema(description = "年限", example = "1")
    private String age_limit;

    @Schema(description = "邀请码")
    private String share_code;
}
