package com.xs.core.service.Impl.coin;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.xs.core.model.coin.entity.GoldCoinProdRecord;
import com.xs.core.mapper.coin.GoldCoinProdRecordMapper;
import com.xs.core.service.coin.IGoldCoinProdRecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 金币产出记录表 服务实现类
 * </p>
 *
 * @author xudm
 * @since 2024-12-18
 */
@Service
public class GoldCoinProdRecordServiceImpl extends ServiceImpl<GoldCoinProdRecordMapper, GoldCoinProdRecord> implements IGoldCoinProdRecordService {

    @Override
    public GoldCoinProdRecord getNoReciviedGoldCoinProdRecordByUserId(Long id) {
        LambdaQueryWrapper<GoldCoinProdRecord> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(GoldCoinProdRecord::getUserId, id);
        queryWrapper.eq(GoldCoinProdRecord::getReceiving, Boolean.FALSE);
        queryWrapper.orderByDesc(GoldCoinProdRecord::getYieldTime).last("limit 1");
        return getOne(queryWrapper);
    }
}
