package com.xs.core.service.Impl.coin;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.xs.core.model.coin.entity.UserCoinSpeedUpgradesRecord;
import com.xs.core.mapper.coin.UserCoinSpeedUpgradesRecordMapper;
import com.xs.core.service.coin.IUserCoinSpeedUpgradesRecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 用户金币产出速率升级记录 服务实现类
 * </p>
 *
 * @author xudm
 * @since 2024-12-18
 */
@Service
public class UserCoinSpeedUpgradesRecordServiceImpl extends ServiceImpl<UserCoinSpeedUpgradesRecordMapper, UserCoinSpeedUpgradesRecord> implements IUserCoinSpeedUpgradesRecordService {

    @Override
    public UserCoinSpeedUpgradesRecord getSpeedUpgradesRecordByUserId(Long id) {
        LambdaQueryWrapper<UserCoinSpeedUpgradesRecord> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(UserCoinSpeedUpgradesRecord::getUserId, id);
        queryWrapper.orderByDesc(UserCoinSpeedUpgradesRecord::getSpeedLevel);
        queryWrapper.last("limit 1");
        return getOne(queryWrapper);
    }
}
