package com.xs.core.service.Impl.user;

import com.xs.core.common.enums.CoinTransactionCategoryEnum;
import com.xs.core.common.enums.CoinTransactionTypeEnum;
import com.xs.core.model.coin.entity.UserCoinTransaction;
import com.xs.core.model.user.entity.TgUser;
import com.xs.core.mapper.user.TgUserMapper;
import com.xs.core.service.coin.IUserCoinTransactionService;
import com.xs.core.service.user.ITgUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.math.BigDecimal;

/**
 * <p>
 * tg用户 服务实现类
 * </p>
 *
 * @author xudm
 * @since 2024-12-18
 */
@Service
public class TgUserServiceImpl extends ServiceImpl<TgUserMapper, TgUser> implements ITgUserService {
    @Autowired
    private IUserCoinTransactionService userCoinTransactionService;

    @Override
    @Transactional
    public void coinTransaction(CoinTransactionTypeEnum type, CoinTransactionCategoryEnum category, String reason, String detail, BigDecimal amount, Long userId) {
        TgUser user = getById(userId);
        // 记录交易记录
        UserCoinTransaction record = new UserCoinTransaction();
        record.setUserId(userId);
        // 更新用户金币数量
        if (type.equals(CoinTransactionTypeEnum.ADD)) {
            // 增加金币
            BigDecimal added = user.getGoldCoinAmount().add(amount);
            user.setGoldCoinAmount(added);
            BigDecimal his = user.getGoldCoinTotalHis().add(amount);
            user.setGoldCoinTotalHis(his);
        } else if (type.equals(CoinTransactionTypeEnum.SUBTRACT)) {
            // 减少金币
            user.setGoldCoinAmount(user.getGoldCoinAmount().subtract(amount));
        }
        record.setAmount(amount);
        record.setBalance(user.getGoldCoinAmount());
        record.setTransactionType(type.getCode());
        record.setTransactionCategory(category.getCode());
        record.setTransactionReason(reason);
        record.setTransactionDetail(detail);
        updateById(user);
        userCoinTransactionService.save(record);
    }
}
