package com.xs.core.service.coin;

import com.xs.core.model.coin.entity.CoinSpeedUpgradesRules;
import com.xs.core.model.coin.entity.GoldCoinProdState;
import com.xs.core.model.coin.req.CoinSpeedUpgradesRulesReq;
import com.xs.core.model.coin.req.TemporaryRateReq;
import com.xs.core.model.coin.resp.BoostResidueTimesResp;
import com.xs.core.model.coin.resp.CoinSpeedUpgradesRulesResp;
import com.xs.core.model.coin.resp.GoldCoinProdStateResp;

import java.util.List;

public interface GoldCoinService {
    /**
     * 开始产出
     */
    void startProductGoldCoin();

    /**
     * 收取产出的金币
     */
    void collectGoldCoin();

    /**
     * 永久提升产币速率
     */
    void permanentBoostProductGoldCoinRate(CoinSpeedUpgradesRulesReq req);

    /**
     * 临时提升产币速率
     */
    void temporaryBoostProductGoldCoinRate(TemporaryRateReq temporaryRateReq);

    /**
     * 获取金币产出状态
     *
     * @return
     */
    GoldCoinProdStateResp getGoldCoinProdState();

    /**
     * 金币产出结算
     *
     * @param coinProdState
     */
    void completedGoldCoinSettlement(GoldCoinProdState coinProdState);

    CoinSpeedUpgradesRulesResp getRateUpgradesRulesByUser();

    BoostResidueTimesResp getBoostResidueTimes();

}
