package com.xs.core.utils;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.net.NetUtil;
import cn.hutool.extra.spring.SpringUtil;
import cn.hutool.http.HtmlUtil;
import net.dreamlu.mica.ip2region.core.Ip2regionSearcher;
import net.dreamlu.mica.ip2region.core.IpInfo;

import java.util.Objects;
import java.util.Set;

public class IpUtils {
    private IpUtils() {
    }

    public static String getIpv4Address(String ip) {
        if (isInnerIpv4(ip)) {
            return "内网IP";
        } else {
            Ip2regionSearcher ip2regionSearcher = (Ip2regionSearcher) SpringUtil.getBean(Ip2regionSearcher.class);
            IpInfo ipInfo = ip2regionSearcher.memorySearch(ip);
            if (null == ipInfo) {
                return null;
            } else {
                Set<String> regionSet = CollUtil.newLinkedHashSet(new String[]{ipInfo.getCountry(), ipInfo.getRegion(), ipInfo.getProvince(), ipInfo.getCity(), ipInfo.getIsp()});
                regionSet.removeIf(Objects::isNull);
                return String.join("|", regionSet);
            }
        }
    }

    public static boolean isInnerIpv4(String ip) {
        return NetUtil.isInnerIP("0:0:0:0:0:0:0:1".equals(ip) ? "127.0.0.1" : HtmlUtil.cleanHtmlTag(ip));
    }
}